Subject: bug#68370: 30.0.50; pcase eieio, map, seq, and cl-struct constructs are not described in the manual

From: Ihor Radchenko <[email-masked]>
Date: Fri, 12 Jan 2024 23:07:23 +0000

Jim Porter <[email-masked]> writes:

> On 1/10/2024 4:46 AM, Ihor Radchenko wrote:
>> I see no need to document specialized pcase constructs like
>> `eshell-index-range'...
> Indeed. If I could figure out a way to prevent that from being added to 
> the 'pcase' docstring, I would. :) It's really just a utility function 
> for Eshell so that it's easier to handle index ranges internally.

I think that it might be something akin `rx-let', but binds the pcase
macros temporarily. Looking into `pcase-defun', I do not see anything
difficult in implementing an equivalent feature `pcase-let-defun'.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>